function meas = LF_Measure(tSpike1,tSpike2, w1, w2, s1, s2, numspikes, burstISI, scale)
    

    %% Combined measure code. **Note**: must have the functions LF_Burst.m and LF_Silence.m present in your working directory!!
    %Parameters:
    % w1 = weight of the silence measure
    % w2 = weight of the burst measure
    % **Note**: w1+w2 must be equal to 1
    % s1 = timescale parameter for the silence measure
    % s2 = timescale parameter for the burst measure
    %numspikes = min number of spikes for something to count as a burst
    %burstISI = max ISI for two spikes to be part of the same burst
    %squash = shape parameter of the nonlinear transformation function
    %l = length of the spike trains being compared
if w1+w2==1
    
    %% if one of the weights is zero just compute one of the measures
    if w1 == 0
        meas = LF_Bursts(tSpike1,tSpike2,s2,numspikes, burstISI, scale);
    elseif w2 == 0
        meas = LF_Silence(tSpike1,tSpike2,s1);
    else
    % if both weights are non-zero compute the weighted average of the two
    % measures
    meas = (w1*LF_Silence(tSpike1,tSpike2,s1) + w2*LF_Burst(tSpike1,tSpike2,s2,numspikes, burstISI, scale));
    end
else
    disp('Error: invalid choice of weights');
    meas = [];
end